org.keycloak.dom.saml.v2.assertion

## Class AuthzDecisionStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.StatementAbstractType
  - - org.keycloak.dom.saml.v2.assertion.AuthzDecisionStatementType

- All Implemented Interfaces:
    Serializable

      public class AuthzDecisionStatementType
      extends StatementAbstractType

  Java class for AuthzDecisionStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthzDecisionStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Action" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Evidence" minOccurs="0"/>
             </sequence>
             <attribute name="Resource" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Decision" use="required" type="{urn:oasis:names:tc:SAML:2.0:assertion}DecisionType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ActionType>` | `action`
    `protected DecisionType` | `decision`
    `protected EvidenceType` | `evidence`
    `protected String` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthzDecisionStatementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(ActionType actionType)` Add an action
    `List<ActionType>` | `getAction()` Get the list of actions (read-only list)
    `DecisionType` | `getDecision()` Gets the value of the decision property.
    `EvidenceType` | `getEvidence()` Gets the value of the evidence property.
    `String` | `getResource()` Gets the value of the resource property.
    `void` | `removeAction(ActionType actionType)` Remove an action
    `void` | `setDecision(DecisionType value)` Sets the value of the decision property.
    `void` | `setEvidence(EvidenceType value)` Sets the value of the evidence property.
    `void` | `setResource(String value)` Sets the value of the resource property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected List<ActionType> action

    - #### evidence

          protected EvidenceType evidence

    - #### resource

          protected String resource

    - #### decision

          protected DecisionType decision

  - ### Constructor Detail

    - #### AuthzDecisionStatementType

          public AuthzDecisionStatementType()

  - ### Method Detail

    - #### getAction

          public List<ActionType> getAction()

      Get the list of actions (read-only list)
      Returns:
        `List` read only

    - #### addAction

          public void addAction(ActionType actionType)

      Add an action
      Parameters:
        `actionType` -

    - #### removeAction

          public void removeAction(ActionType actionType)

      Remove an action
      Parameters:
        `actionType` -

    - #### getEvidence

          public EvidenceType getEvidence()

      Gets the value of the evidence property.
      Returns:
        possible object is `EvidenceType`

    - #### setEvidence

          public void setEvidence(EvidenceType value)

      Sets the value of the evidence property.
      Parameters:
        `value` - allowed object is `EvidenceType`

    - #### getResource

          public String getResource()

      Gets the value of the resource property.
      Returns:
        possible object is `String`

    - #### setResource

          public void setResource(String value)

      Sets the value of the resource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDecision

          public DecisionType getDecision()

      Gets the value of the decision property.
      Returns:
        possible object is `DecisionType`

    - #### setDecision

          public void setDecision(DecisionType value)

      Sets the value of the decision property.
      Parameters:
        `value` - allowed object is `DecisionType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.